LibreOffice: ViewSettings Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Attributes | List of all members
ViewSettings Service Referencepublished

provides access to the settings of the controller of a text document. More...

Inheritance diagram for ViewSettings:

## Exported Interfaces
interface | com::sun::star::beans::XPropertySet

## Public Attributes
boolean | ShowAnnotations
| If this property is `TRUE`, annotations (notes) are visible.
boolean | ShowBreaks
| If this property is `TRUE`, paragraph line breaks are visible.
boolean | ShowDrawings
| If this property is `TRUE`, shapes are visible.
boolean | ShowFieldCommands
| If this property is `TRUE`, text fields are shown with their commands; otherwise the content is visible.
boolean | ShowFootnoteBackground
| If this property is `TRUE`, footnotes symbols are displayed with gray background.
boolean | ShowGraphics
| If this property is `TRUE`, graphic objects are visible.
boolean | ShowHiddenParagraphs
| If this property is `TRUE`, hidden paragraphs are displayed.
boolean | ShowHiddenText
| If this property is `TRUE`, hidden text is displayed.
boolean | ShowRulers
| ShowHoriRuler and ShowVertRuler determine whether a ruler is visible.
boolean | ShowHoriRuler
| If this property is `TRUE` and the property ShowRulers is `TRUE`, the horizontal ruler is displayed.
boolean | ShowHoriScrollBar
| If this property is `TRUE` and the property ShowRulers is `TRUE`, the horizontal scroll bar is displayed.
boolean | ShowIndexMarkBackground
| If this property is `TRUE`, index marks are displayed with gray background.
boolean | ShowParaBreaks
| If this property is `TRUE`, paragraph breaks are visible.
boolean | ShowProtectedSpaces
| If this property is `TRUE`, protected spaces (hard spaces) are displayed with gray background.
boolean | ShowSoftHyphens
| If this property is `TRUE`, soft hyphens are displayed with gray background.
boolean | ShowSpaces
| If this property is `TRUE`, spaces are displayed with dots.
boolean | ShowTableBoundaries
| If this property is `TRUE`, table boundaries are displayed.
boolean | ShowTables
| If this property is `TRUE`, tables are visible.
boolean | ShowTabstops
| If this property is `TRUE`, tab stops are visible.
boolean | ShowTextBoundaries
| If this property is `TRUE`, text boundaries are displayed.
boolean | ShowTextFieldBackground
| If this property is `TRUE`, text fields are displayed with gray background.
boolean | ShowVertRuler
| If this property is `TRUE`, the vertical ruler is displayed.
boolean | ShowVertScrollBar
| If this property is `TRUE`, the vertical scroll bar is displayed.
boolean | SmoothScrolling
| If this property is `TRUE`, smooth scrolling is active.
boolean | IsVertRulerRightAligned
| If this property is `TRUE`, the vertical ruler is aligned to the right side of the view and the vertical scrollbar is on the left.
boolean | ShowOnlineLayout
| If this property is `TRUE` the document will be displayed as if it were a HTML document.
short | ZoomType
| This property defines the zoom type for the document.
short | ZoomValue
| Defines the zoom value to use.
boolean | IsExecuteHyperlinks
| If this property is `TRUE` hyperlinks in the document are executed (loaded) on mouse click.
boolean | IsRasterVisible
| Specifies whether to display the grid or not.
boolean | IsSnapToRaster
| Specifies whether to move frames, drawing elements, and form functions only between grid points.
long | RasterSubdivisionX
| Specifies the number of intervals between grid points on the X-axis.
long | RasterSubdivisionY
| Specifies the number of intervals between grid points on the Y-axis.
long | RasterResolutionX
| Defines the unit of measure for the spacing between grid points on the X-axis.
long | RasterResolutionY
| Defines the unit of measure for the spacing between grid points on the Y-axis.
boolean | ShowHiddenCharacters
| If this property is `TRUE`, hidden characters are displayed.
boolean | ShowNonprintingCharacters
| If this property is `TRUE`, the settings of non-printing characters are applied.
long | HorizontalRulerMetric
| metric unit of the horizontal ruler
long | VerticalRulerMetric
| metric unit of the vertical ruler
boolean | ShowContentTips
| If this property is `TRUE`, tips for document content are shown, typically in a help balloon when the mouse is over the content.
boolean | ShowScrollBarTips
| If this property is `TRUE`, and the scroll bar is shown, a tool tip is displayed while scrolling.
boolean | HideWhitespace
| If this property is `TRUE`, whitespaces around pages are hidden.
boolean | ShowInlineTooltips
| If this property is `TRUE`, tooltips for tracked changes are shown.
boolean | UseHeaderFooterMenu
| If this property is `TRUE`, the advanced menu for header/footer is shown.
boolean | ShowBookmarks
| If this property is `TRUE`, bookmark positions are displayed.
boolean | ShowOutlineContentVisibilityButton
| If this property is `TRUE`, the outline content visibility toggle button is shown.
boolean | ShowChangesInMargin
| If this property is `TRUE`, tracked deletions are shown in margin.
boolean | TreatSubOutlineLevelsAsContent
| If this property is `TRUE`, sub outline levels are treated as content in outline content visibility actions.

## Additional Inherited Members
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides access to the settings of the controller of a text document.

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

## Member Data Documentation

## ◆ HideWhitespace

boolean HideWhitespace
| optionalproperty

If this property is `TRUE`, whitespaces around pages are hidden.

Since
  LibreOffice 5.1

## ◆ HorizontalRulerMetric

long HorizontalRulerMetric
| optionalproperty

metric unit of the horizontal ruler

Uses values com::sun::star::awt::FieldUnit

Since
  OOo 3.1

## ◆ IsExecuteHyperlinks

boolean IsExecuteHyperlinks
| optionalproperty

If this property is `TRUE` hyperlinks in the document are executed (loaded) on mouse click.

Otherwise they are handled like normal text.

## ◆ IsRasterVisible

boolean IsRasterVisible
| optionalproperty

Specifies whether to display the grid or not.

Since
  OOo 2.0

## ◆ IsSnapToRaster

boolean IsSnapToRaster
| optionalproperty

Specifies whether to move frames, drawing elements, and form functions only between grid points.

Since
  OOo 2.0

## ◆ IsVertRulerRightAligned

boolean IsVertRulerRightAligned
| property

If this property is `TRUE`, the vertical ruler is aligned to the right side of the view and the vertical scrollbar is on the left.

## ◆ RasterResolutionX

long RasterResolutionX
| optionalproperty

Defines the unit of measure for the spacing between grid points on the X-axis.

The value must be greater than 0. The application may enforce more restricting bounds for the value.

Since
  OOo 2.0

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the value is out of bounds.

## ◆ RasterResolutionY

long RasterResolutionY
| optionalproperty

Defines the unit of measure for the spacing between grid points on the Y-axis.

The value must be greater than 0. The application may enforce more restricting bounds for the value.

Since
  OOo 2.0

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the value is out of bounds.

## ◆ RasterSubdivisionX

long RasterSubdivisionX
| optionalproperty

Specifies the number of intervals between grid points on the X-axis.

The value must be greater or equal to 0, and the application may enforce an upper bound for the value.

Since
  OOo 2.0

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the value is out of bounds.

## ◆ RasterSubdivisionY

long RasterSubdivisionY
| optionalproperty

Specifies the number of intervals between grid points on the Y-axis.

The value must be greater or equal to 0, and the application may enforce an upper bound for the value.

Since
  OOo 2.0

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the value is out of bounds.

## ◆ ShowAnnotations

boolean ShowAnnotations
| property

If this property is `TRUE`, annotations (notes) are visible.

## ◆ ShowBookmarks

boolean ShowBookmarks
| optionalproperty

If this property is `TRUE`, bookmark positions are displayed.

Since
  LibreOffice 7.0

## ◆ ShowBreaks

boolean ShowBreaks
| property

If this property is `TRUE`, paragraph line breaks are visible.

## ◆ ShowChangesInMargin

boolean ShowChangesInMargin
| optionalproperty

If this property is `TRUE`, tracked deletions are shown in margin.

Since
  LibreOffice 7.1

## ◆ ShowContentTips

boolean ShowContentTips
| optionalproperty

If this property is `TRUE`, tips for document content are shown, typically in a help balloon when the mouse is over the content.

Since
  LibreOffice 4.1

## ◆ ShowDrawings

boolean ShowDrawings
| property

If this property is `TRUE`, shapes are visible.

## ◆ ShowFieldCommands

boolean ShowFieldCommands
| property

If this property is `TRUE`, text fields are shown with their commands; otherwise the content is visible.

## ◆ ShowFootnoteBackground

boolean ShowFootnoteBackground
| property

If this property is `TRUE`, footnotes symbols are displayed with gray background.

## ◆ ShowGraphics

boolean ShowGraphics
| property

If this property is `TRUE`, graphic objects are visible.

## ◆ ShowHiddenCharacters

boolean ShowHiddenCharacters
| optionalproperty

If this property is `TRUE`, hidden characters are displayed.

Since
  OOo 3.0

## ◆ ShowHiddenParagraphs

boolean ShowHiddenParagraphs
| property

If this property is `TRUE`, hidden paragraphs are displayed.

## ◆ ShowHiddenText

boolean ShowHiddenText
| property

If this property is `TRUE`, hidden text is displayed.

## ◆ ShowHoriRuler

boolean ShowHoriRuler
| property

If this property is `TRUE` and the property ShowRulers is `TRUE`, the horizontal ruler is displayed.

## ◆ ShowHoriScrollBar

boolean ShowHoriScrollBar
| property

If this property is `TRUE` and the property ShowRulers is `TRUE`, the horizontal scroll bar is displayed.

## ◆ ShowIndexMarkBackground

boolean ShowIndexMarkBackground
| property

If this property is `TRUE`, index marks are displayed with gray background.

## ◆ ShowInlineTooltips

boolean ShowInlineTooltips
| optionalproperty

If this property is `TRUE`, tooltips for tracked changes are shown.

Since
  LibreOffice 6.1

## ◆ ShowNonprintingCharacters

boolean ShowNonprintingCharacters
| optionalproperty

If this property is `TRUE`, the settings of non-printing characters are applied.

This option controls the use of the settings ShowHiddenCharacters, ShowTabstops, ShowSpaces, ShowBreaks and ShowParaBreaks

Since
  OOo 3.0

## ◆ ShowOnlineLayout

boolean ShowOnlineLayout
| property

If this property is `TRUE` the document will be displayed as if it were a HTML document.

## ◆ ShowOutlineContentVisibilityButton

boolean ShowOutlineContentVisibilityButton
| optionalproperty

If this property is `TRUE`, the outline content visibility toggle button is shown.

Since
  LibreOffice 7.1

## ◆ ShowParaBreaks

boolean ShowParaBreaks
| property

If this property is `TRUE`, paragraph breaks are visible.

## ◆ ShowProtectedSpaces

boolean ShowProtectedSpaces
| property

If this property is `TRUE`, protected spaces (hard spaces) are displayed with gray background.

## ◆ ShowRulers

boolean ShowRulers
| property

ShowHoriRuler and ShowVertRuler determine whether a ruler is visible.

## ◆ ShowScrollBarTips

boolean ShowScrollBarTips
| optionalproperty

If this property is `TRUE`, and the scroll bar is shown, a tool tip is displayed while scrolling.

Since
  LibreOffice 4.2

## ◆ ShowSoftHyphens

boolean ShowSoftHyphens
| property

If this property is `TRUE`, soft hyphens are displayed with gray background.

## ◆ ShowSpaces

boolean ShowSpaces
| property

If this property is `TRUE`, spaces are displayed with dots.

## ◆ ShowTableBoundaries

boolean ShowTableBoundaries
| property

If this property is `TRUE`, table boundaries are displayed.

## ◆ ShowTables

boolean ShowTables
| property

If this property is `TRUE`, tables are visible.

## ◆ ShowTabstops

boolean ShowTabstops
| property

If this property is `TRUE`, tab stops are visible.

## ◆ ShowTextBoundaries

boolean ShowTextBoundaries
| property

If this property is `TRUE`, text boundaries are displayed.

## ◆ ShowTextFieldBackground

boolean ShowTextFieldBackground
| property

If this property is `TRUE`, text fields are displayed with gray background.

## ◆ ShowVertRuler

boolean ShowVertRuler
| property

If this property is `TRUE`, the vertical ruler is displayed.

## ◆ ShowVertScrollBar

boolean ShowVertScrollBar
| property

If this property is `TRUE`, the vertical scroll bar is displayed.

## ◆ SmoothScrolling

boolean SmoothScrolling
| property

If this property is `TRUE`, smooth scrolling is active.

## ◆ TreatSubOutlineLevelsAsContent

boolean TreatSubOutlineLevelsAsContent
| optionalproperty

If this property is `TRUE`, sub outline levels are treated as content in outline content visibility actions.

Since
  LibreOffice 7.2

## ◆ UseHeaderFooterMenu

boolean UseHeaderFooterMenu
| optionalproperty

If this property is `TRUE`, the advanced menu for header/footer is shown.

Since
  LibreOffice 6.2

## ◆ VerticalRulerMetric

long VerticalRulerMetric
| optionalproperty

metric unit of the vertical ruler

Uses values from com::sun::star::awt::FieldUnit

Since
  OOo 3.1

## ◆ ZoomType

short ZoomType
| property

This property defines the zoom type for the document.

See also
  com::sun::star::view::DocumentZoomType

## ◆ ZoomValue

short ZoomValue
| property

Defines the zoom value to use.

Valid only if the ZoomType is set to com::sun::star::view::DocumentZoomType::BY_VALUE.

The documentation for this service was generated from the following file:

- com/sun/star/text/ViewSettings.idl